org.eclipse.mat.query.registry

## Class QueryObjectLink

- java.lang.Object
- - org.eclipse.mat.query.registry.QueryObjectLink

    public final class QueryObjectLink
    extends Object

### Nested Class Summary

Nested Classes
`static class` `QueryObjectLink.Type`

### Field Summary

Fields
`static String` `PROTOCOL`

### Constructor Summary

Constructors
Constructor and Description
`QueryObjectLink(QueryObjectLink.Type type, String target)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `forDetailResult(DetailResultProvider provider, String identifier)`
`static String` `forObject(String identifier)`
`static String` `forQuery(String query)`
`static String` `forType(QueryObjectLink.Type type, String target)`
`String` `getTarget()`
`QueryObjectLink.Type` `getType()`
`String` `getURL()`
`static QueryObjectLink` `parse(String url)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROTOCOL

    public static final String PROTOCOL

See Also:
  Constant Field Values

### Constructor Detail

#### QueryObjectLink

    public QueryObjectLink(QueryObjectLink.Type type,
                           String target)

### Method Detail

#### getType

    public QueryObjectLink.Type getType()

#### getTarget

    public String getTarget()

#### getURL

    public String getURL()

#### forQuery

    public static final String forQuery(String query)

#### forObject

    public static final String forObject(String identifier)

#### forDetailResult

    public static final String forDetailResult(DetailResultProvider provider,
                                               String identifier)

#### forType

    public static final String forType(QueryObjectLink.Type type,
                                       String target)

#### parse

    public static QueryObjectLink parse(String url)

Parameters:
  `url` - The String representation of a Memory Analyzer URL, starting mat://
Returns:
  null if the URL does not present a proper Memory Analyzer Object otherwise an internal MAT representation of the URL.